Subject: [Softwires] Charter discussion: discovery

From: "Durand, Alain" <[email-masked]>
Date: Thu, 8 Sep 2005 14:14:46 -0400

Creating a new thread to focus the discussion.

> -----Original Message-----
> >    > Drop the word "discovery", since it's not in the 
> deliverables and the
> >    > charter later says its not being done as part of this charter.
> >    
> >    Well, as indicated in a previous email, I'm not sure we 
> agree on this.
> >    Probably need to heard much more voices on this list !
> >    
> > => I support Jordi, even the issue has some simple solutions (mine 
> > favorite is the Microsoft-style one, DNS SRV RR) it is 
> important to specify one.
> 
> Well, here is the crux of the problem. You seem to think 
> there is a simple solution, because you make assumptions 
> about what the problem actually is. My sense is that there is 
> not even agreement on the exact details of what "the 
> discovery problem" is. E.g, the above solution assumes that 
> the entity creating the tunnel knows the DNS name of its ISP 
> (so it can construct the SRV name to query). Folk have also 
> asserted that this is not a reasonable assumption, that this 
> info isn't always available.

Discovery is certainly an important piece, but Thomas is right, we are
very far from having an agreement on the scope of the problem.
Without rehashing all the discussions that happened in v6tc earlier this
year, I think it is fair to say that solving the general problem is
hard, there are a number of solution on the table but none of them is
really satisfying for the _whole_ community.
In many aspects, reminds me of the "DNS server discovery" issue that has
been rehashed a million time in the IPv6/v6Ops/DNSop wgs and never
converged.

So, as much as I support the idea to get this wg to tackle this
difficult issue, I think doing so now will be premature and may derail
the whole effort. This is the reason why discovery is still in the
charter now with the caveat that we will not start working on it until
we made further progress on the basic configuration problem.

   - Alain.

_______________________________________________
Softwires mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/softwires

---

From: "Durand, Alain" <[email-masked]>
Date: Thu, 8 Sep 2005 20:09:50 -0400

> From: [email-masked] 
> => I assume a standard end-user to ISP case which IMHO is the 
> main scenario in softwires. But I believe it is too soon for 
> a discussion about the discovering details, I'd just like to 
> get it in the charter.

So you essentially agree with the way the charter is writen today:
Discovery is in scope, but not addressed immediately.

   - Alain.